package com.example.demokafka.util;

import org.apache.kafka.common.serialization.StringDeserializer;

import java.util.Properties;

/**
 * @Description
 * @Author ZhouWenTao
 * @Date 2023/9/1 13:40
 */
public class KafkaUtil {
    public static String trustestore="/opt/kafka/client.trustestore.p12";

    public static String appCode = "42142fd0jkbf4515853b7fcec64748f6";

    public static String X_Consumer_Username = "dwVendor";

    public static Properties getSafeProducerPro() {
        Properties properties = new Properties();
        properties.setProperty("bootstrap.servers", "10.0.10.153:29551,10.0.10.153:29552,10.0.10.153:29553");
        properties.setProperty("acks", "all");
        properties.setProperty("key.serializer", "org.apache.kafka.common.serialization.StringSerializer");
        properties.setProperty("value.serializer", "org.apache.kafka.common.serialization.StringSerializer");
        properties.setProperty("sasl.jaas.config", "org.apache.kafka.common.security.scram.ScramLoginModule required username=\"e92224\" password=\"323236g6#\";");
        properties.setProperty("sasl.mechanism", "SCRAM-SHA-512");
        properties.setProperty("security.protocol", "SASL_SSL");
        properties.setProperty("ssl.truststore.location", trustestore);
        properties.setProperty("ssl.truststore.password", "pwd123");
        properties.setProperty("buffer.memory", "33554432");
        properties.setProperty("retries", "0");
        properties.setProperty("ssl.endpoint.identification.algorithm", "");
        return properties;
    }
    //keytool -keystore D:/keystore/client.trustestore.p12 -storepass pwd123 -noprompt -alias client.trustestore -import -file D:/keystore/ca.crt -storetype PKCS12
    public static Properties getSafeConsumerPro() {
        Properties properties = new Properties();
        properties.setProperty("bootstrap.servers", "10.0.10.153:29551,10.0.10.153:29552,10.0.10.153:29553");
        properties.setProperty("group.id", "isv-kafka");
        properties.setProperty("key.deserializer", StringDeserializer.class.getName());
        properties.setProperty("value.deserializer", StringDeserializer.class.getName());
        properties.setProperty("sasl.jaas.config", "org.apache.kafka.common.security.scram.ScramLoginModule required username=\"e92224\" password=\"323236g6#\";");
        properties.setProperty("sasl.mechanism", "SCRAM-SHA-512");
        properties.setProperty("security.protocol", "SASL_SSL");
        properties.setProperty("ssl.truststore.location", trustestore);
        properties.setProperty("ssl.truststore.password", "pwd123");
        properties.setProperty("enable.auto.commit", "true");
        properties.setProperty("auto.commit.interval.ms", "1000");
        properties.setProperty("session.timeout.ms", "30000");
        properties.setProperty("auto.offset.reset", "earliest");
        properties.setProperty("ssl.endpoint.identification.algorithm", "");
        return properties;
    }
}